These docs are for v3. Click to read the latest docs for v4.

Create Wallet

Update an existing wallet by its identifier

Go to Wallet Overview

This endpoint has a name parameter which allows you to attach a unique identifier to the wallet, perhaps a user identifier generated by your app/platform.

The type parameter allows you to choose the type of wallet to create from the following options:

  • DEFAULT
  • ENTERPRISE
  • SAVINGS

Wallets are attached to your Wyre business account at the platform level and allow you to operate them on behalf of your users via the Transfers endpoint.

Building the Create Wallet Request

When building your request to create a new wallet, you'll need to provide these fields:

  • name - Your unique identifier for this user.
  • callbackUrl - Optional callback when the user receives funds (payload)
  • notes - Optional notes about the user
  • type - The type of user you are creating, DEFAULT, ENTERPRISE or SAVINGS. When creating a wallet for SAVINGS, please follow the Wyre+ Rewards Guide.

Response

When a new wallet is created you will receive the following:

  • name - Your identifier
  • id - Wyre's identifier
  • depositAddresses - Digital currency deposit addresses for the user
  • totalBalances - Total balance for the user
  • availableBalances - Funds available to the user
  • pusherChannel - Pusher update channel
  • srn - Wyre Reference Name identifier
  • balances - Balances for the user
  • callbackUrl - Your callback url
  • notes - Your note for the user
  • verificationData - KYC information for the user
Body Params
string
required

A unique identifier for the wallet (could be a client-generated user identifier)

string | null

A callback URL to receive updates related to this wallet

string
enum
Defaults to DEFAULT

The type of wallet you are creating (DEFAULT,ENTERPRISE, or SAVINGS)

Allowed:
string | null

Notes about the wallet

Response

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json